markers   =context.objectValues(['GMarker','GImageMarker'])
polylines =context.objectValues(['GGPXPolyline'])

print '<script type="text/javascript">'
print "//<![CDATA["
print "window.onload = function() {"
print "    var trk = [];"
print "    if (GBrowserIsCompatible()) {"

if markers : print "        trk.push([]); // for marker"
cnt = 0
for marker in markers :
    lat = marker.point['latitude']
    lon = marker.point['longitude']
    print "        trk[0].push(new GLatLng(%s,%s));" % ( lat, lon )
    cnt = 1

for polyline in polylines :
    cnt_add = 0
    data = polyline.getTrkLog()
    if len(data) != 0 :
        print "        trk.push([]); // for polyline trks"
        for trk in data :
            print "        trk[%d].push(new GLatLng(%s,%s));" % ( cnt,trk['lat'],trk['lon'] )
        cnt_add = 1
    cnt += cnt_add

if cnt :
    print "        var pos = getCenterPositionZoom( trk );"
    print "        var map = createMap('map', pos[0], pos[1], -1, pos[2], g_map_ctl, g_type_ctl, g_scale_ctl, g_overview_ctl, g_map_type_ctl);"
    cnt = 0
    for marker in markers :
        lat = marker.point['latitude']
        lon = marker.point['longitude']
        print "        var tabs =[];"
        print "        var tab1 = document.getElementById('marker_html_%s');" % marker.id
        print "        if (tab1) { tabs.push( new GInfoWindowTab('%s', tab1.innerHTML) ) ;}" % marker.tab1
        if marker.detail:
            print "        var tab2 = document.getElementById('detail_html_%s');" % marker.id
            print "        if (tab2) { tabs.push( new GInfoWindowTab('%s', tab2.innerHTML) ) ;}" % marker.tab2
        print "        addMarker(map, tabs, '%s', %s, %s);\n" % (marker.id, lat, lon)
        cnt = 1
    for polyline in polylines :
        data = polyline.getTrkLog()
        op = 1.0
        cnt_add = 0
        if polyline.opacity == True : op = 0.4
        if len(data) != 0 :
            print "        createPolyline(map, trk[%d], '%s', %s, %s );" % ( cnt, polyline.color, polyline.width, op )
            print "        addPolyLineMarker(map, 'start_%s', %s, %s );" % ( polyline.id, data[0]['lat'], data[0]['lon'] )
            print "        addPolyLineMarker(map, 'end_%s', %s, %s );" % ( polyline.id, data[-1]['lat'], data[-1]['lon'] )
            cnt_add = 1
        cnt += cnt_add
else :
    print "        var map = createMap('map', %s, %s, %d, 0, g_map_ctl, g_type_ctl, g_scale_ctl, g_overview_ctl, g_map_type_ctl);" % (
        context.center['latitude'], context.center['longitude'],
        context.zoom,
        )
print "    }"
print "}"
print "//]]>"
print "</script>"

return printed
